# -*- coding: utf-8 -*-
#
# MerlinVideoWidget
#
# Coded by Dr.Best (c) 2020
# Support: www.dreambox-tools.info
# E-Mail: dr.best@dreamboxtools.de
#
# This plugin is open source but it is NOT free software.
#

from merlin.emerlinvideowidget import eMerlinVideoWidget
from Components.GUIComponent import GUIComponent


class MerlinVideoWidget(GUIComponent, object):
	def __init__(self):
		GUIComponent.__init__(self)

	GUI_WIDGET = eMerlinVideoWidget

	def playVideo(self, serviceref):
		self.instance.playVideo(serviceref)

	def scaleToWidget(self, value):
		self.instance.scaleToWidget(value)

	def setBackgroundColor(self, color):
		self.instance.setBackgroundColor(color)


